Flecs: flecs::_::node_builder< T, TDesc, Base, IBuilder, Components > Struct Template Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.0 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
flecs::_::node_builder< T, TDesc, Base, IBuilder, Components > Struct Template Reference
Inheritance diagram for flecs::_::node_builder< T, TDesc, Base, IBuilder, Components >:
[legend]

## Public Types
using | IBase = IBuilder<Base, Components ...>

## Public Member Functions
| node_builder (flecs::world_t *world, const char *name=nullptr)
template<typename Func>
T | run (Func &&func)
template<typename Func, typename EachFunc>
T | run (Func &&func, EachFunc &&each_func)
template<typename Func>
T | each (Func &&func)

## Protected Member Functions
flecs::world_t * | world_v () override

## Protected Attributes
TDesc | desc_
flecs::world_t * | world_

## Detailed Description

template<typename T, typename TDesc, typename Base, template< typename IBase, typename ... Components > class IBuilder, typename ... Components>
struct flecs::_::node_builder< T, TDesc, Base, IBuilder, Components >

Definition at line 15 of file node_builder.hpp.

## Member Typedef Documentation

## ◆ IBase

template<typename T, typename TDesc, typename Base, template< typename IBase, typename ... Components > class IBuilder, typename ... Components>

using flecs::_::node_builder< T, TDesc, Base, IBuilder, Components >::IBase = IBuilder<Base, Components ...>

Definition at line 17 of file node_builder.hpp.

## Constructor & Destructor Documentation

## ◆ node_builder()

template<typename T, typename TDesc, typename Base, template< typename IBase, typename ... Components > class IBuilder, typename ... Components>

flecs::_::node_builder< T, TDesc, Base, IBuilder, Components >::node_builder | ( | flecs::world_t * | world,
|  | const char * | name = nullptr )
| inlineexplicit

Definition at line 20 of file node_builder.hpp.

## Member Function Documentation

## ◆ each()

template<typename T, typename TDesc, typename Base, template< typename IBase, typename ... Components > class IBuilder, typename ... Components>
template<typename Func>

T flecs::_::node_builder< T, TDesc, Base, IBuilder, Components >::each | ( | Func && | func | ) |
| inline

Definition at line 57 of file node_builder.hpp.

## ◆ run() [1/2]

template<typename T, typename TDesc, typename Base, template< typename IBase, typename ... Components > class IBuilder, typename ... Components>
template<typename Func>

T flecs::_::node_builder< T, TDesc, Base, IBuilder, Components >::run | ( | Func && | func | ) |
| inline

Definition at line 33 of file node_builder.hpp.

## ◆ run() [2/2]

template<typename T, typename TDesc, typename Base, template< typename IBase, typename ... Components > class IBuilder, typename ... Components>
template<typename Func, typename EachFunc>

T flecs::_::node_builder< T, TDesc, Base, IBuilder, Components >::run | ( | Func && | func,
|  | EachFunc && | each_func )
| inline

Definition at line 45 of file node_builder.hpp.

## ◆ world_v()

template<typename T, typename TDesc, typename Base, template< typename IBase, typename ... Components > class IBuilder, typename ... Components>

flecs::world_t * flecs::_::node_builder< T, TDesc, Base, IBuilder, Components >::world_v | ( |  | ) |
| inlineoverrideprotected

Definition at line 68 of file node_builder.hpp.

## Member Data Documentation

## ◆ desc_

template<typename T, typename TDesc, typename Base, template< typename IBase, typename ... Components > class IBuilder, typename ... Components>

TDesc flecs::_::node_builder< T, TDesc, Base, IBuilder, Components >::desc_
| protected

Definition at line 69 of file node_builder.hpp.

## ◆ world_

template<typename T, typename TDesc, typename Base, template< typename IBase, typename ... Components > class IBuilder, typename ... Components>

flecs::world_t* flecs::_::node_builder< T, TDesc, Base, IBuilder, Components >::world_
| protected

Definition at line 70 of file node_builder.hpp.

The documentation for this struct was generated from the following file:

- include/flecs/addons/cpp/utils/node_builder.hpp